<?php 
    show_msg();
    ob_start();
    if(isset($_GET['show'])){
        $general->redirect('?result=apps-menu');
    }
    if(isset($_GET['add'])){
    ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="main">
                    <h3>Add New Menu &nbsp;&nbsp;&nbsp;<a class="btn btn-info btn-sm" href="?page=apps-menu">Menu List</a></h3>
                    <hr>
                    <?php 
                        if(isset($_POST['addmenu'])){
                            $title = mysql_real_escape_string($_POST['title']);
                            $image     = $_FILES["file"]["name"];
                            if(!empty($image)){
                                 $tempImage  = $_FILES['file']['tmp_name'];
                                $ImageName      = time().'-'.rand(20,65);
                                $destination    = "images/menu/";
                                $size                =filesize($tempImage);
                                list($width, $height)=getimagesize($tempImage);

                                if($width <=0) {
                                    $error = 1; 
                                } 
                                $imgName        = $general->image_upload($image,$tempImage,$destination,$ImageName,'','','d');
                            }
                            
                            $error=array();
                            $comp =$db->get_rowData($general->table(5),'mnTitle',$title);
                            if(count($comp)>1){
                                $error[]="Menu Title '".$title."' is already exist!";
                            }
                            if($imgName==''){
                                $error[]="Menu Icon is required!";
                            }
                            if($title=='') $error[]="Please Enter Menu Title.";

                            if(count($error)>0){
                                foreach ($error as $msg) {
                                    if($msg!='') echo '<div class="alert alert-danger" role="alert">'.$msg.'</div>';
                                }
                            }else{
                                $data = array(
                                'mnTitle'   => $title,
                                'mnIcon'   => $imgName,
                                'createdOn'   =>time(),
                                'modifiedOn'   =>time()
                                
                                );
                                $insert = $db->insert($general->table(5),$data);
                                if($insert){
                                    $db->setlastUpdate(5);
                                    echo '<div class="alert alert-success" role="alert">'.'Apps Menu Added Successfully.'.'</div>';
                                    //SetMessage(29,'Menu');
                                    $general->redirect('?page=apps-menu',29,'Menu');
                                }else{
                                    echo '<div class="alert alert-danger" role="alert">'.'Some Problem therem, please try again.'.'</div>';
                                }
                            }

                        } 

                    ?>
                    <form action="" method="post" enctype="multipart/form-data">
                        <table style="width:100%">
                            <tr>
                                <td width="200"><label for="">Menu Title</label> </td>
                                <td><input type="text" class="form-control" name="title" placeholder="Menu Title" value="<?=@$_POST['title']?>"></td>
                            </tr>

                            <tr>
                                <td width="200"><label for=""> Upload Image</label> </td>
                                <td><input type="file" class="form-control" name="file"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><input type="submit" name="addmenu" class="btn btn-primary" value="Submit"></td>
                            </tr>
                        </table>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    if (isset($_GET['edit'])) {
    ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="main">
                    <h3>Edit Menu &nbsp;&nbsp;&nbsp;<a class="btn btn-info" href="?page=apps-menu">Menu List</a></h3>
                    <hr>
                    <?php 
                        $editid   =$_GET['edit'];
                        if(isset($_POST['update'])){
                            $title = mysql_real_escape_string($_POST['title']);
                            $order = mysql_real_escape_string($_POST['order']);
                            $image     = $_FILES["file"]["name"];
                            if(!empty($image)){
                                 $tempImage  = $_FILES['file']['tmp_name'];
                                $ImageName      = time().'-'.rand(20,65);
                                $destination    = "images/menu/";
                                $size                =filesize($tempImage);
                                list($width, $height)=getimagesize($tempImage);

                                if($width <=0) {
                                    $error = 1; 
                                } 
                                $imgName        = $general->image_upload($image,$tempImage,$destination,$ImageName,'','','d');
                            }
                            $error=array();
                            if($title=='') $error[]="Please Enter Menu Title.";
                            if(count($error)>0){
                                foreach ($error as $msg) {
                                    if($msg!='') echo '<div class="alert alert-danger" role="alert">'.$msg.'</div>';
                                }
                            }else{
                                if($imgName){
                                $data = array(
                                    'mnTitle'   =>$title,
                                    'mnOrder'   =>$order,
                                    'modifiedOn'   =>time(),
                                    'mnIcon'    =>$imgName
                                );
                                }
                                else{
                                  $data = array(
                                    'mnTitle'   =>$title,
                                    'modifiedOn'   =>time(),
                                    'mnOrder'   =>$order
                                );  
                                }
                                $where = array('mnID' =>$editid);
                                $update = $db->update($general->table(5),$data,$where);
                                if($update){
                                    $db->setlastUpdate(5);
                                   /* echo '<div class="alert alert-success" role="alert">'.'Data Updated Successfully'.'</div>';*/
                                    $general->redirect('?page=apps-menu',30,'Menu');
                                    
                                }
                            }

                        } 
                        $rData =$db->get_rowData($general->table(5),'mnID',$editid);
                    ?>

                    <form method="post"  enctype="multipart/form-data">
                        <table style="width:100%">
                            <tr>
                                <td width="200"><label for="">Title</label> </td>
                                <td><input type="text" class="form-control" name="title" placeholder="Title" value="<?php echo $rData['mnTitle'];?>"></td>
                            </tr>
                            <tr>
                                <td width="200"><label for="">Order</label> </td>
                                <td><input type="text" class="form-control" name="order" placeholder="Order" value="<?php echo $rData['mnOrder'];?>"></td>
                            </tr>
                            <tr>
                                <td width="200"><label for=""> Upload Image</label> </td>
                                <td><input type="file" class="form-control" name="file"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><input type="submit" name="update" class="btn btn-primary" value="Update"></td>
                            </tr>
                        </table>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <?php
    }
    else{
    ?>
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="main">
                    <h3>Apps Menu List &nbsp;&nbsp;&nbsp;<a class="btn btn-info btn-sm" href="?page=apps-menu&add">Add New</a>&nbsp;&nbsp;<a target="_blank" class="btn btn-primary btn-sm" href="?result=apps-menu">View Json</a></h3>
                    <hr>
                    <?php 
                        if(isset($_GET['delete'])){
                            $deleteid=$_GET['delete'];
                            $where = array('mnID'=>$deleteid);
                            $delete = $db->delete($general->table(5),$where);
                            if($delete){
                                $db->setlastUpdate(5);
                                $general->redirect('?page=apps-menu',150,'Menu');
                            }
                        }
                    ?>
                    <table id="#example" class="table table-bordered display">
                        <thead>
                            <tr>
                                <th width="50">#</th>
                                <th width="60">Icon</th>
                                <th>Title</th>
                                <th width="80">Status</th>
                                <th width="80">Edit</th>
                                <th width="100">Delete</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $sn=1;

                                $sqlQuery = 'order by mnOrder asc';


                                if(isset($_GET[PAGE_INATION_CURRENT_PAGE_NAME])){$cp=$_GET[PAGE_INATION_CURRENT_PAGE_NAME];}else{$cp=1;}    
                                $pageination= $general->pagination_init($general->table(5),15,$cp,$sqlQuery);
                                $result   = $db->selectAll($general->table(5),$sqlQuery.$pageination['limit']);
                                //   $general->arrayContentShow($products);
                                $total      = $pageination['start'];



                                foreach($result as $emailrow){
                                ?>
                                <tr>
                                    <td><?= $sn++ ?></td>
                                    <td><img style="width:50px" src="<?php echo $site->site_root().'images/menu/'.$emailrow['mnIcon'];?>"></td><br>
                                    <td><?php echo $emailrow['mnTitle'];?></td>
                                    <td><?php $general->onclickChangeBTN($emailrow['mnID'],$general->checked($emailrow['IsActive'])); ?></td>
                                    <td><a href="?page=apps-menu&amp;edit=<?=$emailrow['mnID']?>" class="btn btn-warning">Edit</a></td>
                                    <td><a href="?page=apps-menu&amp;delete=<?=$emailrow['mnID']?>" class="btn btn-danger"  onclick="return confirm('Are you sure, you want to delete this User?')">Delete</a></td>
                                </tr>
                                <?php } ?>
                        </tbody>
                    </table>

                    <div class="pagined_footer">
                        <ul class="pagination">
                            <?php
                                $link       = '?page=apps-menu&'.PAGE_INATION_CURRENT_PAGE_NAME.'=';
                                $general->pagination($pageination['currentPage'],$pageination['TotalPage'],$link,'btn');
                            ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <?php 
        $general->onclickChangeJavaScript(5,'mnID');
    }
?>