<div class="container">
    <div class="row">
        <div class="col-md-12">
            <div class="main">
                <?php show_msg();?>
                <?php
                    if(isset($_GET['add'])){
                        if(isset($_POST['sub'])){
                            $title  =$_POST['tag_title'];

                            if(empty($title)){$error=__LINE__;SetMessage(36,'Tags Title');}

                            if(!isset($error)){
                                $data=array(
                                    'tagTitle'  =>$title,
                                    'createdOn' =>time(),
                                    'modifiedOn'=>time()
                                );

                                $insert= $db->insert($general->table(8),$data);
                                if($insert){
                                    $db->setlastUpdate(8);
                                    $general->redirect(URL.'?page=tags',array(34,'Tags'));}else{SetMessage(66);
                                }
                            }
                        }
                    ?>
                    <h3>Add New Tags &nbsp;&nbsp;&nbsp;<a class="btn btn-info" href="?page=tags">Tags</a></h3>
                    <hr>
                    <form method="post">
                        <table style="width:100%">
                            <tr>
                                <td width="200"><label for="">Tags Title</label> </td>
                                <td><input type="text" class="form-control" name="tag_title" placeholder="Tags Title" value="<?php echo @$_POST['tag_title'];?>" required style="height:35px"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><input type="submit" name="sub" class="btn btn-primary" value="Add Tags"></td>
                            </tr>
                        </table>
                    </form>
                    <?php

                    }
                    elseif(isset($_GET['edit'])){
                        $tagID =$_GET['edit'];
                        $t= $db->get_rowData($general->table(8),'tagID',$tagID);
                        if(empty($t)){$general->redirect(URL.'?page=tags',array(63,'Tag Edit request'));}

                        if(isset($_POST['sub'])){
                            $title  =$_POST['tag_title'];

                            if(empty($title)){$error=__LINE__;SetMessage(36,'Tag Title');}

                            if(!isset($error)){
                                $data=array(
                                    'tagTitle'  =>$title,
                                    'modifiedOn'=>time()
                                );
                                $where=array(
                                    'tagID'=>$tagID
                                );

                                $update= $db->update($general->table(8),$data,$where);
                                if($update){
                                    $db->setlastUpdate(8);
                                    $general->redirect(URL.'?page=tags',array(30,'Tag'));}else{SetMessage(66);
                                }
                            }
                        }
                    ?>
                    <h3>Edit Tags &nbsp;&nbsp;&nbsp;<a class="btn btn-info" href="?page=tags">Tags</a></h3>
                    <hr>
                    <form method="post">
                        <table style="width:100%">
                            <tr>
                                <td width="200"><label for="">Tags Title</label> </td>
                                <td><input type="text" class="form-control" name="tag_title" placeholder="Tags Title" value="<?php echo $t['tagTitle'];?>" required style="height:35px"></td>
                            </tr>
                            <tr>
                                <td></td>
                                <td><input type="submit" name="sub" class="btn btn-primary" value="update Tags"></td>
                            </tr>
                        </table>
                    </form>
                    <?php
                    }
                    elseif(isset($_GET['delete'])){
                        $tagID =$_GET['delete'];
                        $t= $db->get_rowData($general->table(8),'tagID',$tagID);
                        if(empty($t)){$general->redirect(URL.'?page=tags',array(63,'Tag Delete request'));}

                        $where=array(
                            'tagID'=>$tagID
                        );
                        $delete=$db->delete($general->table(8),$where);
                        if($delete){
                            $db->setlastUpdate(8);
                            $general->redirect(URL.'?page=tags',array(150,'Tag'));}else{SetMessage(66);
                        }

                    }
                    elseif(isset($_GET['order'])){
                        $db->dragNdropOrder(8,1);
                    }
                    else{
                    ?>
                    <h3>Tags &nbsp;&nbsp;&nbsp;<a class="btn btn-info btn-sm" href="?page=tags&add=1">Add New Tags</a>&nbsp;&nbsp;
                        <a target="_blank" class="btn btn-primary btn-sm" href="?result=tags">View Json</a>
                        <a class="btn btn-info btn-sm" id="id-btn-dialog2" href="<?php echo URL; ?>?page=tags&order=1">Rearrange</a>
                    </h3>
                    <hr>
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th>#</th>
                                <th>Tags Title</th>
                                <th width="150">Status</th>
                                <th width="120">Edit</th>
                                <th width="120">Delete</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $sn=1;
                                $sqlQuery = "";

                                if(isset($_GET[PAGE_INATION_CURRENT_PAGE_NAME])){$cp=$_GET[PAGE_INATION_CURRENT_PAGE_NAME];}else{$cp=1;}    
                                $pageination= $general->pagination_init($general->table(8),15,$cp,' ');
                                $categorys   = $db->selectAll($general->table(8),$sqlQuery.$pageination['limit']);
                                $general->arrayContentShow($products);
                                $total      = $pageination['start'];


                                foreach($categorys as $ct){
                                ?>
                                <tr>
                                    <td><?=$sn++ ?></td>
                                    <td><?php echo $ct['tagTitle']?></td>
                                    <td><?php $general->onclickChangeBTN($ct['tagID'],$general->checked($ct['IsActive'])); ?></td>
                                    <td><a href="?page=tags&edit=<?php echo $ct['tagID']?>" class="btn btn-warning">Edit</a></td>
                                    <td><a href="?page=tags&delete=<?php echo $ct['tagID']?>" class="btn btn-danger"  onclick="return confirm('Are you sure, you want to delete this Tag?')">Delete</a></td>
                                </tr>
                                <?php 
                                }
                            ?>
                        </tbody>
                    </table>
                    <div class="pagined_footer">
                        <ul class="pagination">
                            <?php
                                // $link=site_url.'&'.PAGE_INATION_CURRENT_PAGE_NAME.'=';
                                $link       = '?page=tags&'.PAGE_INATION_CURRENT_PAGE_NAME.'=';
                                $general->pagination($pageination['currentPage'],$pageination['TotalPage'],$link,'btn');
                            ?>
                        </ul>
                    </div>
                    <?php  
                        $general->onclickChangeJavaScript(8,'tagID');
                    }
                ?>
            </div>
        </div>
    </div>
</div>

